# Class StunServer

java.lang.Object
de.javawi.jstun.test.demo.StunServer

public class StunServer extends Object

## Constructor Summary

Constructors
Constructor
Description
`StunServer(int primaryPort, InetAddress primary, int secondaryPort, InetAddress secondary)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`void`
`start()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StunServer

public StunServer(int primaryPort, InetAddress primary, int secondaryPort, InetAddress secondary) throws SocketException

Throws:
  `SocketException`

## Method Details

### start

public void start() throws SocketException

Throws:
  `SocketException`

### main

public static void main(String[] args)